Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ClusterMBean

public interface ClusterMBean
extends TargetMBean

This bean represents a cluster in the domain. Servers join a cluster by calling ServerMBean.setCluster with the logical name of the cluster. A configuration may define zero or more clusters. They may be looked up by logical name. The name of a cluster denotes its logical cluster name.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getClusterAddress()` Returns the address to be used by clients to connect to this cluster.
`java.lang.String` | `getDefaultLoadAlgorithm()` Returns the algorithm to be used for load-balancing between replicated services if none is specified for a particular service.
`java.lang.String` | `getMulticastAddress()` The multicast address used by cluster members to communicate with each other.
`int` | `getMulticastSendDelay()` Returns the number of milliseconds to delay sending message fragments over multicast in order to avoid OS-level buffer overflow.
`int` | `getMulticastTTL()` Returns the number of network hops that a cluster multicast message is allowed to travel.
`ServerMBean[]` | `getServers()` The servers which have declared membership in this cluster.
`void` | `setClusterAddress(java.lang.String address)` Sets the cluster's address.
`void` | `setDefaultLoadAlgorithm(java.lang.String value)` Sets the default load balancing algorithm.
`void` | `setMulticastAddress(java.lang.String address)` Sets the multicast address used by cluster members to communicate with each other.
`void` | `setMulticastSendDelay(int delay)` Sets the number of milliseconds to delay sending message fragments over multicast.
`void` | `setMulticastTTL(int ttl)` Sets the time-to-live value for the cluster's multicast address.

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServers

    public ServerMBean[] getServers()

  The servers which have declared membership in this cluster.

### getClusterAddress

    public java.lang.String getClusterAddress()

  Returns the address to be used by clients to connect to this cluster. This address may be either a DNS host name that maps to multiple IP addresses or a comma separated list of single address host names or IP addresses.

  A configurable MBean attribute

### setClusterAddress

    public void setClusterAddress(java.lang.String address)
                           throws javax.management.InvalidAttributeValueException

  Sets the cluster's address.

  Throws:
    java.lang.IllegalArgumentException - if the address is not either a well-formed IP address or hostname.

### getMulticastAddress

    public java.lang.String getMulticastAddress()

  The multicast address used by cluster members to communicate with each other.

  A configurable MBean attribute
  Old Property: weblogic.cluster.multicastAddress

### setMulticastAddress

    public void setMulticastAddress(java.lang.String address)
                             throws javax.management.InvalidAttributeValueException

  Sets the multicast address used by cluster members to communicate with each other.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Throws:
    java.lang.IllegalArgumentException - if the argument is not a well-formed IP address.

### getMulticastTTL

    public int getMulticastTTL()

  Returns the number of network hops that a cluster multicast message is allowed to travel. 1 restricts the cluster to one subnet. The minimum value is 1 and the maximum value is 255, inclusive.

  A configurable MBean attribute
  Default Value: 1
  Old Property: weblogic.cluster.multicastTTL
  Legal Minimum Value: 1
  Legal Maximum Value: 255

### setMulticastTTL

    public void setMulticastTTL(int ttl)
                         throws javax.management.InvalidAttributeValueException

  Sets the time-to-live value for the cluster's multicast address.

  Legal Minimum Value: 1
  Legal Maximum Value: 255

### getMulticastSendDelay

    public int getMulticastSendDelay()

  Returns the number of milliseconds to delay sending message fragments over multicast in order to avoid OS-level buffer overflow. The default should be fine in most cases, but it may need to be tuned for odd configurations.

  A configurable MBean attribute
  Default Value: 12
  Legal Minimum Value: 0
  Legal Maximum Value: 100

### setMulticastSendDelay

    public void setMulticastSendDelay(int delay)
                               throws javax.management.InvalidAttributeValueException

  Sets the number of milliseconds to delay sending message fragments over multicast.

  Legal Minimum Value: 0
  Legal Maximum Value: 100

### getDefaultLoadAlgorithm

    public java.lang.String getDefaultLoadAlgorithm()

  Returns the algorithm to be used for load-balancing between replicated services if none is specified for a particular service.

  A configurable MBean attribute
  Default Value: "round-robin"
  Old Property: weblogic.cluster.defaultLoadAlgorithm
  Legal Values: "round-robin","weight-based","random"

### setDefaultLoadAlgorithm

    public void setDefaultLoadAlgorithm(java.lang.String value)
                                 throws javax.management.InvalidAttributeValueException

  Sets the default load balancing algorithm.

  Throws:
    java.lang.IllegalArgumentException - if the value is not a valid algorithm. DESIGN ISSUE: what are the valid values? Is this settable dynamically.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD